tosca_definitions_version: tosca_simple_yaml_1_1
metadata:
  invariantUUID: d5581c1f-28b3-4204-9b26-ea99ae262914
  UUID: c932eaab-cc30-4d3c-b389-acab50dbee20
  name: NetworkFunction
  description: This is SO NetworkFunction
  type: VFC
  category: Generic
  subcategory: Infrastructure
  resourceVendor: ericsson
  resourceVendorRelease: 1.0.0.wd03
  resourceVendorModelNumber: ''
imports:
- nodes:
    file: nodes.yml
- datatypes:
    file: data.yml
- capabilities:
    file: capabilities.yml
- relationships:
    file: relationships.yml
- groups:
    file: groups.yml
- policies:
    file: policies.yml
- interfaces:
    file: interfaces.yml
node_types:
  org.openecomp.resource.NetworkfunctionCustInput2:
    derived_from: org.openecomp.resource.so
    properties:
      customPropA:
        type: tosca.datatypes.A
      customPropB:
        type: tosca.datatypes.B
      customPropC:
        type: tosca.datatypes.C
      customPropD:
        type: tosca.datatypes.D
    interfaces:
      Standard:
        type: tosca.interfaces.node.lifecycle.Standard
        configure:
          implementation: 'camunda/vnfConfigure'
          inputs:
            stringInput:
              type: string
              default: 12345
            booleanInput:
              type: boolean
              default: true
            integerInput:
              type: integer
              default: 11
            floatInput:
              type: float
              default: 11.1
            complexInput:
              type: onap.datatypes.partner.access_details
              default:
                dsl_stability_profile: standard1
                central_splitter: false
                service_restoration_sla: Standard1
                battery_backup: false
                partner_priorty_assist: false
      Attach:
        type: com.ericsson.so.interfaces.node.lifecycle.Attach
        attach:
          implementation: 'camunda/vnfReconfigure'
      Detach:
        type: com.ericsson.so.interfaces.node.lifecycle.Detach
        detach:
          implementation: 'camunda/vnfReconfigure'
